<!-- 搜索表单 -->
<template>
    <ele-card :body-style="{ paddingBottom: '8px' }">
        <ProSearch
            :items="formItems"
            ref="searchRef"
            @search="search"
            :initKeys="initKeys"
        />
    </ele-card>
</template>

<script setup>
    import { reactive, ref, defineEmits } from 'vue';
    import ProSearch from '@/components/CommonPage/ProSearch2.vue';

    let { proxy } = getCurrentInstance();
    const emit = defineEmits(['search']);

    const formItems = reactive([
        { type: 'input', label: '用户ID', prop: 'userId' },
        { type: 'input', label: '昵称', prop: 'nickName' },
        { type: 'input', label: '意见类型', prop: 'reason' },
        {
            type: 'dictSelect',
            label: '状态',
            prop: 'status',
            props: {
                code: 'feedback_status'
            }
        }
    ]);

    const initKeys = reactive({
        userId: '',
        nickName: '',
        mobile: '',
        status: ''
    });

    const searchRef = ref(null);
    /** 搜索 */
    const search = (data) => {
        emit('search', { ...data });
    };
</script>
